Subject: Re: Problem with Cygwin.bat
From: Ronald Landheer-Cieslak <[email-masked]>
To: philippe guillaume <[email-masked]>
Cc: [email-masked]
Date: Fri, 8 Aug 2003 15:16:16 +0200

Please keep the discussion on the list - that's what it's there for.

On Fri, Aug 08, 2003 at 02:36:31PM +0200, philippe guillaume wrote:
> I've tried without the "-i" option and it works but
> i've got a prompt like this:
> 
> ">"
> 
> impossible to get a prompt like :
> 
> "user /home/user" for an example ?
I don't normally use tcsh, so I wouldn't know (see the point in sending to the
list?)

Anyways, the tcsh manpage is pretty explicit. As I've already installed tcsh
just for the heck of it - i.e. to answer your previous question - let's read it
together - we might learn something :)

   Startup and shutdown
       A  login  shell  begins  by  executing  commands  from the system files
       /etc/csh.cshrc and /etc/csh.login.   It  then  executes  commands  from
       files  in  the  user's  home  directory:  first  ~/.tcshrc  (+)  or, if
       ~/.tcshrc is not found, ~/.cshrc, then ~/.history (or the value of  the
       histfile shell variable), then ~/.login, and finally ~/.cshdirs (or the
       value of  the  dirsfile  shell  variable)  (+).   The  shell  may  read
       /etc/csh.login  before  instead  of  after /etc/csh.cshrc, and ~/.login
       before instead of after ~/.tcshrc or ~/.cshrc  and  ~/.history,  if  so
       compiled; see the version shell variable. (+)

       Non-login  shells read only /etc/csh.cshrc and ~/.tcshrc or ~/.cshrc on
       startup.

       For examples of startup  files,  please  consult  http://tcshrc.source-
       forge.net.

hmm.. this would seem to mean that you can edit your prompt with ~/.tcshrc..

The current version of tcshrc at the indicated site may be of interest to you
too. You should apply the attached patch for "make install" to work, though..

Now, I've set the reply-to address to cygwin at cygwin dot com for your 
convenience. Please make sure your mailer respects it :)

HTH

rlc

-- 
The heart is not a logical organ.
		-- Dr. Janet Wallace, "The Deadly Years", stardate 3479.4
--- Makefile~	2003-04-01 21:35:54.000000000 +0200
+++ Makefile	2003-08-08 14:56:37.084616000 +0200
@@ -79,3 +79,5 @@
 
 war:
 	@echo "make: *** No idea how to make war. War is not logical.  Stop."
+
+.PHONY: install

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/